> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Activate Multiple Entities

> Handles the activation (restoration) of multiple archived entities within a specific program.



## OpenAPI

````yaml post /admin/entities/{program_id}/activate
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /admin/entities/{program_id}/activate:
    post:
      tags:
        - Entities
      summary: Activate Multiple Entities
      description: >-
        Handles the activation (restoration) of multiple archived entities
        within a specific program.
      operationId: activateEntities
      parameters:
        - name: program_id
          in: path
          description: Program ID from which to activate entities
          required: true
          schema:
            type: integer
      requestBody:
        description: >-
          Data required for activating multiple entities, including client_id
          and entity_ids
        required: true
        content:
          application/json:
            schema:
              required:
                - entity_ids
                - client_id
              properties:
                client_id:
                  type: string
                entity_ids:
                  type: array
                  items:
                    type: integer
                    example: 1,2,3
              type: object
      responses:
        '200':
          description: Entities successfully activated
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Successfully Restored
                type: object
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````